# Ipopt::ZeroSymMatrix Class Reference

Class for Symmetric Matrices with only zero entries. More...

`#include <IpZeroSymMatrix.hpp>`

Inheritance diagram for Ipopt::ZeroSymMatrix:
[legend]

List of all members.

## Public Member Functions
Constructors / Destructors
| ZeroSymMatrix (const SymMatrixSpace *owner_space)
| Constructor, taking the corresponding matrix space.
| ~ZeroSymMatrix ()
| Destructor.
## Protected Member Functions
Methods overloaded from matrix
virtual void | MultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix-vector multiply.
virtual void | TransMultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Since the matrix is symmetric, it is only necessary to implement the MultVectorImpl method in a class that inherits from this base class.
virtual void | ComputeRowAMaxImpl (Vector &rows_norms, bool init) const
| Compute the max-norm of the rows in the matrix.
virtual void | ComputeColAMaxImpl (Vector &cols_norms, bool init) const
| Since the matrix is symmetric, the row and column max norms are identical.
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
| Print detailed information about the matrix.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ZeroSymMatrix ()
| Default Constructor.
| ZeroSymMatrix (const ZeroSymMatrix &)
| Copy Constructor.
void | operator= (const ZeroSymMatrix &)
| Overloaded Equals Operator.

## Detailed Description

Class for Symmetric Matrices with only zero entries.

Definition at line 20 of file IpZeroSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ZeroSymMatrix::ZeroSymMatrix | ( | const SymMatrixSpace * | owner_space | ) |

Constructor, taking the corresponding matrix space.

Ipopt::ZeroSymMatrix::~ZeroSymMatrix | ( |  | ) |

Destructor.

Ipopt::ZeroSymMatrix::ZeroSymMatrix | ( |  | ) | `[private]`

Default Constructor.

Ipopt::ZeroSymMatrix::ZeroSymMatrix | ( | const ZeroSymMatrix & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual void Ipopt::ZeroSymMatrix::MultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Matrix-vector multiply.

Computes y = alpha * Matrix * x + beta * y

Implements Ipopt::Matrix.

virtual void Ipopt::ZeroSymMatrix::TransMultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Since the matrix is symmetric, it is only necessary to implement the MultVectorImpl method in a class that inherits from this base class.

If the TransMultVectorImpl is called, this base class automatically calls MultVectorImpl instead.

Reimplemented from Ipopt::SymMatrix.

virtual void Ipopt::ZeroSymMatrix::ComputeRowAMaxImpl | ( | Vector & | rows_norms,
|  | bool | init |
| ) |  |  | const`[inline, protected, virtual]`

Compute the max-norm of the rows in the matrix.

The result is stored in rows_norms. The vector is assumed to be initialized.

Implements Ipopt::Matrix.

Definition at line 44 of file IpZeroSymMatrix.hpp.

virtual void Ipopt::ZeroSymMatrix::ComputeColAMaxImpl | ( | Vector & | cols_norms,
|  | bool | init |
| ) |  |  | const`[inline, protected, virtual]`

Since the matrix is symmetric, the row and column max norms are identical.

Reimplemented from Ipopt::SymMatrix.

Definition at line 47 of file IpZeroSymMatrix.hpp.

virtual void Ipopt::ZeroSymMatrix::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix |
| ) |  |  | const`[protected, virtual]`

Print detailed information about the matrix.

Implements Ipopt::Matrix.

void Ipopt::ZeroSymMatrix::operator= | ( | const ZeroSymMatrix & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::Matrix.

The documentation for this class was generated from the following file:

- src/LinAlg/IpZeroSymMatrix.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines